import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

import '../view_model/listenable_view_model.dart';

class ListenableWebView extends StatelessWidget {
  final ListenableViewModel customController;

  const ListenableWebView({super.key, required this.customController});

  @override
  Widget build(BuildContext context) {
    return ListenableBuilder(
      listenable: customController,
      builder: (context, child) {
        return WebViewWidget(controller: customController.controller);
      },
    );
  }
}
